source: squid-ssl/trunk/fuentes/test-suite/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 51.1 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# test-suite/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17am__is_gnu_make = { \
18  if test -z '$(MAKELEVEL)'; then \
19    false; \
20  elif test -n '$(MAKE_HOST)'; then \
21    true; \
22  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23    true; \
24  else \
25    false; \
26  fi; \
27}
28am__make_running_with_option = \
29  case $${target_option-} in \
30      ?) ;; \
31      *) echo "am__make_running_with_option: internal error: invalid" \
32              "target option '$${target_option-}' specified" >&2; \
33         exit 1;; \
34  esac; \
35  has_opt=no; \
36  sane_makeflags=$$MAKEFLAGS; \
37  if $(am__is_gnu_make); then \
38    sane_makeflags=$$MFLAGS; \
39  else \
40    case $$MAKEFLAGS in \
41      *\\[\ \   ]*) \
42        bs=\\; \
43        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45    esac; \
46  fi; \
47  skip_next=no; \
48  strip_trailopt () \
49  { \
50    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51  }; \
52  for flg in $$sane_makeflags; do \
53    test $$skip_next = yes && { skip_next=no; continue; }; \
54    case $$flg in \
55      *=*|--*) continue;; \
56        -*I) strip_trailopt 'I'; skip_next=yes;; \
57      -*I?*) strip_trailopt 'I';; \
58        -*O) strip_trailopt 'O'; skip_next=yes;; \
59      -*O?*) strip_trailopt 'O';; \
60        -*l) strip_trailopt 'l'; skip_next=yes;; \
61      -*l?*) strip_trailopt 'l';; \
62      -[dEDm]) skip_next=yes;; \
63      -[JT]) skip_next=yes;; \
64    esac; \
65    case $$flg in \
66      *$$target_option*) has_opt=yes; break;; \
67    esac; \
68  done; \
69  test $$has_opt = yes
70am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72pkgdatadir = $(datadir)/squid
73pkgincludedir = $(includedir)/squid
74pkglibdir = $(libdir)/squid
75pkglibexecdir = $(libexecdir)/squid
76am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77install_sh_DATA = $(install_sh) -c -m 644
78install_sh_PROGRAM = $(install_sh) -c
79install_sh_SCRIPT = $(install_sh) -c
80INSTALL_HEADER = $(INSTALL_DATA)
81transform = $(program_transform_name)
82NORMAL_INSTALL = :
83PRE_INSTALL = :
84POST_INSTALL = :
85NORMAL_UNINSTALL = :
86PRE_UNINSTALL = :
87POST_UNINSTALL = :
88build_triplet = x86_64-pc-linux-gnu
89host_triplet = x86_64-pc-linux-gnu
90check_PROGRAMS = debug$(EXEEXT) $(am__EXEEXT_2) MemPoolTest$(EXEEXT) \
91        mem_node_test$(EXEEXT) mem_hdr_test$(EXEEXT) splay$(EXEEXT) \
92        syntheticoperators$(EXEEXT) VirtualDeleteOperator$(EXEEXT)
93TESTS = debug$(EXEEXT) syntheticoperators$(EXEEXT) \
94        VirtualDeleteOperator$(EXEEXT) splay$(EXEEXT) \
95        MemPoolTest$(EXEEXT) mem_node_test$(EXEEXT) \
96        mem_hdr_test$(EXEEXT) $(am__EXEEXT_2) squid-conf-tests
97am__append_1 = $(INCLTDL)
98EXTRA_PROGRAMS = mem_node_test$(EXEEXT) membanger$(EXEEXT) \
99        splay$(EXEEXT) tcp-banger2$(EXEEXT)
100subdir = test-suite
101ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
102am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
103        $(top_srcdir)/acinclude/init.m4 \
104        $(top_srcdir)/acinclude/squid-util.m4 \
105        $(top_srcdir)/acinclude/compiler-flags.m4 \
106        $(top_srcdir)/acinclude/os-deps.m4 \
107        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
108        $(top_srcdir)/acinclude/pkg.m4 \
109        $(top_srcdir)/acinclude/lib-checks.m4 \
110        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
111        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
112        $(top_srcdir)/helpers/basic_auth/modules.m4 \
113        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
123        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
124        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
125        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
126        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
127        $(top_srcdir)/helpers/digest_auth/modules.m4 \
128        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
129        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
130        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
131        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
132        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
134        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
135        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
136        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
137        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
138        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
139        $(top_srcdir)/helpers/log_daemon/modules.m4 \
140        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
141        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
142        $(top_srcdir)/helpers/external_acl/modules.m4 \
143        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
145        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
147        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
148        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
149        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
150        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
151        $(top_srcdir)/helpers/external_acl/session/required.m4 \
152        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
153        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
154        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
155        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
156        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
157        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
158        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
159        $(top_srcdir)/configure.ac
160am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
161        $(ACLOCAL_M4)
162DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
163mkinstalldirs = $(install_sh) -d
164CONFIG_HEADER = $(top_builddir)/include/autoconf.h
165CONFIG_CLEAN_FILES =
166CONFIG_CLEAN_VPATH_FILES =
167am__EXEEXT_1 = ESIExpressions$(EXEEXT)
168am__EXEEXT_2 = $(am__EXEEXT_1)
169am__objects_1 = stub_cbdata.$(OBJEXT) stub_debug.$(OBJEXT) \
170        stub_MemBuf.$(OBJEXT) stub_SBuf.$(OBJEXT) stub_tools.$(OBJEXT) \
171        stub_fatal.$(OBJEXT)
172am__objects_2 = test_tools.$(OBJEXT) $(am__objects_1)
173am_ESIExpressions_OBJECTS = ESIExpressions.$(OBJEXT) $(am__objects_2)
174ESIExpressions_OBJECTS = $(am_ESIExpressions_OBJECTS)
175#am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
176am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
177        $(am__DEPENDENCIES_1)
178am__DEPENDENCIES_3 =
179am__DEPENDENCIES_4 = $(top_builddir)/src/base/libbase.la \
180        $(top_builddir)/src/globals.o $(top_builddir)/src/time.o \
181        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_2) \
182        $(am__DEPENDENCIES_3)
183ESIExpressions_DEPENDENCIES = $(top_builddir)/src/esi/Expression.o \
184        $(am__DEPENDENCIES_4)
185AM_V_lt = $(am__v_lt_$(V))
186am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
187am__v_lt_0 = --silent
188am__v_lt_1 = 
189am_MemPoolTest_OBJECTS = MemPoolTest.$(OBJEXT) $(am__objects_2)
190MemPoolTest_OBJECTS = $(am_MemPoolTest_OBJECTS)
191MemPoolTest_LDADD = $(LDADD)
192MemPoolTest_DEPENDENCIES = $(top_builddir)/src/base/libbase.la \
193        $(top_builddir)/src/globals.o $(top_builddir)/src/time.o \
194        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_2) \
195        $(am__DEPENDENCIES_3)
196am_VirtualDeleteOperator_OBJECTS = VirtualDeleteOperator.$(OBJEXT) \
197        $(am__objects_2)
198VirtualDeleteOperator_OBJECTS = $(am_VirtualDeleteOperator_OBJECTS)
199VirtualDeleteOperator_LDADD = $(LDADD)
200VirtualDeleteOperator_DEPENDENCIES =  \
201        $(top_builddir)/src/base/libbase.la \
202        $(top_builddir)/src/globals.o $(top_builddir)/src/time.o \
203        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_2) \
204        $(am__DEPENDENCIES_3)
205am_debug_OBJECTS = debug.$(OBJEXT) $(am__objects_2)
206debug_OBJECTS = $(am_debug_OBJECTS)
207debug_LDADD = $(LDADD)
208debug_DEPENDENCIES = $(top_builddir)/src/base/libbase.la \
209        $(top_builddir)/src/globals.o $(top_builddir)/src/time.o \
210        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_2) \
211        $(am__DEPENDENCIES_3)
212am_mem_hdr_test_OBJECTS = mem_hdr_test.$(OBJEXT) $(am__objects_2)
213mem_hdr_test_OBJECTS = $(am_mem_hdr_test_OBJECTS)
214mem_hdr_test_DEPENDENCIES = $(top_builddir)/src/stmem.o \
215        $(top_builddir)/src/mem_node.o $(am__DEPENDENCIES_4)
216am_mem_node_test_OBJECTS = mem_node_test.$(OBJEXT) $(am__objects_2)
217mem_node_test_OBJECTS = $(am_mem_node_test_OBJECTS)
218mem_node_test_DEPENDENCIES = $(top_builddir)/src/mem_node.o \
219        $(am__DEPENDENCIES_4)
220membanger_SOURCES = membanger.c
221membanger_OBJECTS = membanger.$(OBJEXT)
222membanger_LDADD = $(LDADD)
223membanger_DEPENDENCIES = $(top_builddir)/src/base/libbase.la \
224        $(top_builddir)/src/globals.o $(top_builddir)/src/time.o \
225        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_2) \
226        $(am__DEPENDENCIES_3)
227am_splay_OBJECTS = splay.$(OBJEXT) $(am__objects_2)
228splay_OBJECTS = $(am_splay_OBJECTS)
229splay_LDADD = $(LDADD)
230splay_DEPENDENCIES = $(top_builddir)/src/base/libbase.la \
231        $(top_builddir)/src/globals.o $(top_builddir)/src/time.o \
232        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_2) \
233        $(am__DEPENDENCIES_3)
234am_syntheticoperators_OBJECTS = syntheticoperators.$(OBJEXT) \
235        $(am__objects_2)
236syntheticoperators_OBJECTS = $(am_syntheticoperators_OBJECTS)
237syntheticoperators_LDADD = $(LDADD)
238syntheticoperators_DEPENDENCIES = $(top_builddir)/src/base/libbase.la \
239        $(top_builddir)/src/globals.o $(top_builddir)/src/time.o \
240        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_2) \
241        $(am__DEPENDENCIES_3)
242tcp_banger2_SOURCES = tcp-banger2.c
243tcp_banger2_OBJECTS = tcp-banger2.$(OBJEXT)
244tcp_banger2_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.la
245AM_V_P = $(am__v_P_$(V))
246am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
247am__v_P_0 = false
248am__v_P_1 = :
249AM_V_GEN = $(am__v_GEN_$(V))
250am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
251am__v_GEN_0 = @echo "  GEN     " $@;
252am__v_GEN_1 = 
253AM_V_at = $(am__v_at_$(V))
254am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
255am__v_at_0 = @
256am__v_at_1 = 
257DEFAULT_INCLUDES = 
258depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
259am__depfiles_maybe = depfiles
260am__mv = mv -f
261COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
262        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
263LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
264        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
265        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
266        $(AM_CFLAGS) $(CFLAGS)
267AM_V_CC = $(am__v_CC_$(V))
268am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
269am__v_CC_0 = @echo "  CC      " $@;
270am__v_CC_1 = 
271CCLD = $(CC)
272LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
273        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
274        $(AM_LDFLAGS) $(LDFLAGS) -o $@
275AM_V_CCLD = $(am__v_CCLD_$(V))
276am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
277am__v_CCLD_0 = @echo "  CCLD    " $@;
278am__v_CCLD_1 = 
279CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
280        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
281LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
282        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
283        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
284        $(AM_CXXFLAGS) $(CXXFLAGS)
285AM_V_CXX = $(am__v_CXX_$(V))
286am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
287am__v_CXX_0 = @echo "  CXX     " $@;
288am__v_CXX_1 = 
289CXXLD = $(CXX)
290CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
291        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
292        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
293AM_V_CXXLD = $(am__v_CXXLD_$(V))
294am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
295am__v_CXXLD_0 = @echo "  CXXLD   " $@;
296am__v_CXXLD_1 = 
297SOURCES = $(ESIExpressions_SOURCES) $(MemPoolTest_SOURCES) \
298        $(VirtualDeleteOperator_SOURCES) $(debug_SOURCES) \
299        $(mem_hdr_test_SOURCES) $(mem_node_test_SOURCES) membanger.c \
300        $(splay_SOURCES) $(syntheticoperators_SOURCES) tcp-banger2.c
301DIST_SOURCES = $(ESIExpressions_SOURCES) $(MemPoolTest_SOURCES) \
302        $(VirtualDeleteOperator_SOURCES) $(debug_SOURCES) \
303        $(mem_hdr_test_SOURCES) $(mem_node_test_SOURCES) membanger.c \
304        $(splay_SOURCES) $(syntheticoperators_SOURCES) tcp-banger2.c
305am__can_run_installinfo = \
306  case $$AM_UPDATE_INFO_DIR in \
307    n|no|NO) false;; \
308    *) (install-info --version) >/dev/null 2>&1;; \
309  esac
310am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
311# Read a list of newline-separated strings from the standard input,
312# and print each of them once, without duplicates.  Input order is
313# *not* preserved.
314am__uniquify_input = $(AWK) '\
315  BEGIN { nonempty = 0; } \
316  { items[$$0] = 1; nonempty = 1; } \
317  END { if (nonempty) { for (i in items) print i; }; } \
318'
319# Make sure the list of sources is unique.  This is necessary because,
320# e.g., the same source file might be shared among _SOURCES variables
321# for different programs/libraries.
322am__define_uniq_tagged_files = \
323  list='$(am__tagged_files)'; \
324  unique=`for i in $$list; do \
325    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
326  done | $(am__uniquify_input)`
327ETAGS = etags
328CTAGS = ctags
329am__tty_colors_dummy = \
330  mgn= red= grn= lgn= blu= brg= std=; \
331  am__color_tests=no
332am__tty_colors = { \
333  $(am__tty_colors_dummy); \
334  if test "X$(AM_COLOR_TESTS)" = Xno; then \
335    am__color_tests=no; \
336  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
337    am__color_tests=yes; \
338  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
339    am__color_tests=yes; \
340  fi; \
341  if test $$am__color_tests = yes; then \
342    red='[0;31m'; \
343    grn='[0;32m'; \
344    lgn='[1;32m'; \
345    blu='[1;34m'; \
346    mgn='[0;35m'; \
347    brg='[1m'; \
348    std='[m'; \
349  fi; \
350}
351am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
352am__vpath_adj = case $$p in \
353    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
354    *) f=$$p;; \
355  esac;
356am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
357am__install_max = 40
358am__nobase_strip_setup = \
359  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
360am__nobase_strip = \
361  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
362am__nobase_list = $(am__nobase_strip_setup); \
363  for p in $$list; do echo "$$p $$p"; done | \
364  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
365  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
366    if (++n[$$2] == $(am__install_max)) \
367      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
368    END { for (dir in files) print dir, files[dir] }'
369am__base_list = \
370  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
371  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
372am__uninstall_files_from_dir = { \
373  test -z "$$files" \
374    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
375    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
376         $(am__cd) "$$dir" && rm -f $$files; }; \
377  }
378am__recheck_rx = ^[     ]*:recheck:[    ]*
379am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
380am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
381# A command that, given a newline-separated list of test names on the
382# standard input, print the name of the tests that are to be re-run
383# upon "make recheck".
384am__list_recheck_tests = $(AWK) '{ \
385  recheck = 1; \
386  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
387    { \
388      if (rc < 0) \
389        { \
390          if ((getline line2 < ($$0 ".log")) < 0) \
391            recheck = 0; \
392          break; \
393        } \
394      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
395        { \
396          recheck = 0; \
397          break; \
398        } \
399      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
400        { \
401          break; \
402        } \
403    }; \
404  if (recheck) \
405    print $$0; \
406  close ($$0 ".trs"); \
407  close ($$0 ".log"); \
408}'
409# A command that, given a newline-separated list of test names on the
410# standard input, create the global log from their .trs and .log files.
411am__create_global_log = $(AWK) ' \
412function fatal(msg) \
413{ \
414  print "fatal: making $@: " msg | "cat >&2"; \
415  exit 1; \
416} \
417function rst_section(header) \
418{ \
419  print header; \
420  len = length(header); \
421  for (i = 1; i <= len; i = i + 1) \
422    printf "="; \
423  printf "\n\n"; \
424} \
425{ \
426  copy_in_global_log = 1; \
427  global_test_result = "RUN"; \
428  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
429    { \
430      if (rc < 0) \
431         fatal("failed to read from " $$0 ".trs"); \
432      if (line ~ /$(am__global_test_result_rx)/) \
433        { \
434          sub("$(am__global_test_result_rx)", "", line); \
435          sub("[        ]*$$", "", line); \
436          global_test_result = line; \
437        } \
438      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
439        copy_in_global_log = 0; \
440    }; \
441  if (copy_in_global_log) \
442    { \
443      rst_section(global_test_result ": " $$0); \
444      while ((rc = (getline line < ($$0 ".log"))) != 0) \
445      { \
446        if (rc < 0) \
447          fatal("failed to read from " $$0 ".log"); \
448        print line; \
449      }; \
450      printf "\n"; \
451    }; \
452  close ($$0 ".trs"); \
453  close ($$0 ".log"); \
454}'
455# Restructured Text title.
456am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
457# Solaris 10 'make', and several other traditional 'make' implementations,
458# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
459# by disabling -e (using the XSI extension "set +e") if it's set.
460am__sh_e_setup = case $$- in *e*) set +e;; esac
461# Default flags passed to test drivers.
462am__common_driver_flags = \
463  --color-tests "$$am__color_tests" \
464  --enable-hard-errors "$$am__enable_hard_errors" \
465  --expect-failure "$$am__expect_failure"
466# To be inserted before the command running the test.  Creates the
467# directory for the log if needed.  Stores in $dir the directory
468# containing $f, in $tst the test, in $log the log.  Executes the
469# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
470# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
471# will run the test scripts (or their associated LOG_COMPILER, if
472# thy have one).
473am__check_pre = \
474$(am__sh_e_setup);                                      \
475$(am__vpath_adj_setup) $(am__vpath_adj)                 \
476$(am__tty_colors);                                      \
477srcdir=$(srcdir); export srcdir;                        \
478case "$@" in                                            \
479  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
480    *) am__odir=.;;                                     \
481esac;                                                   \
482test "x$$am__odir" = x"." || test -d "$$am__odir"       \
483  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
484if test -f "./$$f"; then dir=./;                        \
485elif test -f "$$f"; then dir=;                          \
486else dir="$(srcdir)/"; fi;                              \
487tst=$$dir$$f; log='$@';                                 \
488if test -n '$(DISABLE_HARD_ERRORS)'; then               \
489  am__enable_hard_errors=no;                            \
490else                                                    \
491  am__enable_hard_errors=yes;                           \
492fi;                                                     \
493case " $(XFAIL_TESTS) " in                              \
494  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
495    am__expect_failure=yes;;                            \
496  *)                                                    \
497    am__expect_failure=no;;                             \
498esac;                                                   \
499$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
500# A shell command to get the names of the tests scripts with any registered
501# extension removed (i.e., equivalently, the names of the test logs, with
502# the '.log' extension removed).  The result is saved in the shell variable
503# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
504# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
505# since that might cause problem with VPATH rewrites for suffix-less tests.
506# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
507am__set_TESTS_bases = \
508  bases='$(TEST_LOGS)'; \
509  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
510  bases=`echo $$bases`
511RECHECK_LOGS = $(TEST_LOGS)
512AM_RECURSIVE_TARGETS = check recheck
513TEST_SUITE_LOG = test-suite.log
514TEST_EXTENSIONS =  .test
515LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
516LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
517am__set_b = \
518  case '$@' in \
519    */*) \
520      case '$*' in \
521        */*) b='$*';; \
522          *) b=`echo '$@' | sed 's/\.log$$//'`; \
523       esac;; \
524    *) \
525      b='$*';; \
526  esac
527am__test_logs1 = $(TESTS:=.log)
528am__test_logs2 = $(am__test_logs1:.log=.log)
529TEST_LOGS = $(am__test_logs2:.test.log=.log)
530TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
531TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
532        $(TEST_LOG_FLAGS)
533am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
534        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
535DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
536ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
537ADAPTATION_LIBS = adaptation/libadaptation.la
538ALLOCA =
539AMTAR = $${TAR-tar}
540AM_DEFAULT_VERBOSITY = 1
541AR = /usr/bin/ar
542AR_R = /usr/bin/ar r
543AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
544AUTH_MODULES =  basic digest negotiate ntlm
545AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
546AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
547AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
548AWK = gawk
549BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
550BUILDCXX = g++
551BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
552BZR =
553CACHE_EFFECTIVE_USER = proxy
554CC = gcc
555CCDEPMODE = depmode=none
556CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
557CGIEXT = .cgi
558CHMOD = /bin/chmod
559CPP = gcc -E
560CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
561CPPUNITCONFIG = /usr/bin/cppunit-config
562CRYPTLIB = -lcrypt
563CXX = g++
564CXXCPP = g++ -E
565CXXDEPMODE = depmode=none
566CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
567CYGPATH_W = echo
568DEFAULT_HOSTS = /etc/hosts
569DEFAULT_LOG_DIR = /var/log/squid-ssl
570DEFAULT_PID_FILE = /var/run/squid-ssl.pid
571DEFAULT_SWAP_DIR = /var/spool/squid-ssl
572DEFS = -DHAVE_CONFIG_H
573DEPDIR = .deps
574DIGEST_AUTH_HELPERS =  file LDAP
575DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
576DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
577DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
578DISK_OS_LIBS =  -lrt -lpthread
579DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
580DLLTOOL = false
581DSYMUTIL =
582DUMPBIN =
583ECAP_LIBS = ecap/libsquid-ecap.la
584ECHO_C =
585ECHO_N = -n
586ECHO_T =
587EGREP = /bin/egrep
588EPOLL_LIBS =
589EUILIB =
590EXEEXT =
591EXPATLIB = -lexpat
592EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
593EXT_LIBECAP_CFLAGS =
594EXT_LIBECAP_LIBS = -lecap
595FALSE = /bin/false
596FGREP = /bin/fgrep
597GREP = grep
598HAVE_CXX11 = 1
599ICAP_LIBS = icap/libicap.la
600INCLTDL =
601INSTALL = /usr/bin/install -c
602INSTALL_DATA = ${INSTALL} -m 644
603INSTALL_PROGRAM = ${INSTALL}
604INSTALL_SCRIPT = ${INSTALL}
605INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
606KRB5INCS = -isystem /usr/include/mit-krb5
607KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
608LBERLIB = -llber
609LD = /usr/bin/ld -m elf_x86_64
610LDAPLIB = -lldap
611LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
612LIBADD_DL = -ldl
613LIBADD_DLD_LINK =
614LIBADD_DLOPEN = -ldl
615LIBADD_SHL_LOAD =
616LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
617LIBGNUTLS_LIBS = -lgnutls
618LIBLTDL = -lltdl
619LIBOBJS =
620LIBOPENSSL_CFLAGS =
621LIBOPENSSL_LIBS = -lssl -lcrypto
622LIBS =
623LIBSASL = -lsasl2
624LIBTOOL = $(SHELL) $(top_builddir)/libtool
625LIB_DB = -ldb
626LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
627LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
628LINUXDOC = /bin/false
629LIPO =
630LN = /bin/ln
631LN_S = ln -s
632LOG_DAEMON_HELPERS =  DB file
633LTDLDEPS =
634LTDLINCL =
635LTDLOPEN = libltdl
636LTLIBOBJS =
637LT_ARGZ_H =
638LT_CONFIG_H = include/autoconf.h
639LT_DLLOADERS =  libltdl/dlopen.la
640LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
641LT_SYS_LIBRARY_PATH =
642MAINT = #
643MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
644MANIFEST_TOOL = :
645MINGW_LIBS =
646MKDIR = /bin/mkdir
647MKDIR_P = /bin/mkdir -p
648MV = /bin/mv
649NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
650NETTLELIB =  -lnettle
651NM = /usr/bin/nm -B
652NMEDIT =
653NTLM_AUTH_HELPERS =  fake smb_lm
654OBJDUMP = objdump
655OBJEXT = o
656OTOOL =
657OTOOL64 =
658PACKAGE = squid
659PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
660PACKAGE_NAME = Squid Web Proxy
661PACKAGE_STRING = Squid Web Proxy 3.5.12
662PACKAGE_TARNAME = squid
663PACKAGE_URL =
664PACKAGE_VERSION = 3.5.12
665PATH_SEPARATOR = :
666PERL = /usr/bin/perl
667PKG_CONFIG = /usr/bin/pkg-config
668PKG_CONFIG_LIBDIR =
669PKG_CONFIG_PATH =
670PO2HTML = off
671PO2TEXT = off
672POD2MAN = /usr/bin/pod2man
673RANLIB = ranlib
674REGEXLIB =
675REPL_LIBS = liblru.a libheap.a
676REPL_OBJS = repl/liblru.a repl/libheap.a
677REPL_POLICIES = lru heap
678RM = /bin/rm -f
679SED = /bin/sed
680SET_MAKE =
681SH = /bin/sh
682SHELL = /bin/bash
683SMBCLIENT = /usr/bin/smbclient
684SNMPLIB = ../lib/snmplib/libsnmplib.la
685SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
686SQUID_CPPUNIT_INC =
687SQUID_CPPUNIT_LA =
688SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
689SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
690SSLLIB =  -lssl -lcrypto  -lgnutls
691STOREID_REWRITE_HELPERS =  file
692STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
693STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
694STORE_TESTS =
695STRIP = strip
696TR = /usr/bin/tr
697TRUE = /bin/true
698URL_REWRITE_HELPERS =  fake
699VERSION = 3.5.12
700WBINFO =
701WIN32_PSAPI =
702XMLLIB = -lxml2
703XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
704XTRA_OBJS =
705abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/test-suite
706abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/test-suite
707abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
708abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
709ac_ct_AR =
710ac_ct_CC = gcc
711ac_ct_CXX = g++
712ac_ct_DUMPBIN =
713am__include = include
714am__leading_dot = .
715am__quote =
716am__tar = tar --format=ustar -chf - "$$tardir"
717am__untar = tar -xf -
718bindir = ${exec_prefix}/bin
719build = x86_64-pc-linux-gnu
720build_alias = x86_64-linux-gnu
721build_cpu = x86_64
722build_os = linux-gnu
723build_vendor = pc
724builddir = .
725datadir = /usr/share/squid-ssl
726datarootdir = ${prefix}/share
727docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
728dvidir = ${docdir}
729exec_prefix = ${prefix}
730host = x86_64-pc-linux-gnu
731host_alias =
732host_cpu = x86_64
733host_os = linux-gnu
734host_vendor = pc
735htmldir = ${docdir}
736includedir = ${prefix}/include
737infodir = ${prefix}/share/info
738install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
739krb5_config =
740libdir = ${exec_prefix}/lib
741libexecdir = /usr/lib/squid-ssl
742localedir = ${datarootdir}/locale
743localstatedir = /var
744ltdl_LIBOBJS =  lt__strl.o
745ltdl_LTLIBOBJS =  lt__strl.lo
746mandir = /usr/share/man
747mkdir_p = $(MKDIR_P)
748oldincludedir = /usr/include
749pdfdir = ${docdir}
750prefix = /usr
751program_transform_name = s&$$&-ssl&
752psdir = ${docdir}
753runstatedir = ${localstatedir}/run
754sbindir = ${exec_prefix}/sbin
755sharedstatedir = ${prefix}/com
756srcdir = .
757subdirs =  libltdl
758sys_symbol_underscore = no
759sysconfdir = /etc/squid-ssl
760target_alias =
761top_build_prefix = ../
762top_builddir = ..
763top_srcdir = ..
764AM_CFLAGS = $(SQUID_CFLAGS)
765AM_CXXFLAGS = $(SQUID_CXXFLAGS)
766CLEANFILES = $(STUBS) squid-conf-tests
767AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
768        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
769        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
770        $(am__append_1) -I$(srcdir)
771LIBPROFILER =
772#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
773COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
774subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
775LDADD = \
776        $(top_builddir)/src/base/libbase.la \
777        $(top_builddir)/src/globals.o \
778        $(top_builddir)/src/time.o \
779        $(top_builddir)/lib/libmiscutil.la \
780        $(COMPAT_LIB) \
781        $(XTRA_LIBS)
782
783EXTRA_DIST = \
784        $(srcdir)/squidconf/* \
785        testheaders.sh
786
787ESI_ALL_TESTS = \
788        ESIExpressions
789
790#ESI_TESTS =
791ESI_TESTS = $(ESI_ALL_TESTS)
792tcp_banger2_LDADD = $(top_builddir)/lib/libmiscutil.la
793STUBS = stub_cbdata.cc stub_debug.cc stub_MemBuf.cc stub_SBuf.cc stub_tools.cc stub_fatal.cc
794DEBUG_SOURCE = test_tools.cc $(STUBS)
795debug_SOURCES = debug.cc $(DEBUG_SOURCE)
796ESIExpressions_SOURCES = ESIExpressions.cc $(DEBUG_SOURCE)
797ESIExpressions_LDADD = $(top_builddir)/src/esi/Expression.o \
798                $(LDADD)
799
800mem_node_test_SOURCES = mem_node_test.cc $(DEBUG_SOURCE)
801mem_node_test_LDADD = $(top_builddir)/src/mem_node.o $(LDADD)
802mem_hdr_test_SOURCES = mem_hdr_test.cc $(DEBUG_SOURCE)
803mem_hdr_test_LDADD = \
804        $(top_builddir)/src/stmem.o \
805        $(top_builddir)/src/mem_node.o \
806        $(LDADD)
807
808MemPoolTest_SOURCES = MemPoolTest.cc $(DEBUG_SOURCE)
809splay_SOURCES = splay.cc $(DEBUG_SOURCE)
810syntheticoperators_SOURCES = syntheticoperators.cc $(DEBUG_SOURCE)
811VirtualDeleteOperator_SOURCES = VirtualDeleteOperator.cc $(DEBUG_SOURCE)
812all: all-am
813
814.SUFFIXES:
815.SUFFIXES: .c .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
816$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
817        @for dep in $?; do \
818          case '$(am__configure_deps)' in \
819            *$$dep*) \
820              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
821                && { if test -f $@; then exit 0; else break; fi; }; \
822              exit 1;; \
823          esac; \
824        done; \
825        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu test-suite/Makefile'; \
826        $(am__cd) $(top_srcdir) && \
827          $(AUTOMAKE) --gnu test-suite/Makefile
828Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
829        @case '$?' in \
830          *config.status*) \
831            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
832          *) \
833            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
834            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
835        esac;
836$(top_srcdir)/src/Common.am $(am__empty):
837
838$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
839        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
840
841$(top_srcdir)/configure: # $(am__configure_deps)
842        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
843$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
844        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
845$(am__aclocal_m4_deps):
846
847clean-checkPROGRAMS:
848        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
849        echo " rm -f" $$list; \
850        rm -f $$list || exit $$?; \
851        test -n "$(EXEEXT)" || exit 0; \
852        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
853        echo " rm -f" $$list; \
854        rm -f $$list
855
856ESIExpressions$(EXEEXT): $(ESIExpressions_OBJECTS) $(ESIExpressions_DEPENDENCIES) $(EXTRA_ESIExpressions_DEPENDENCIES)
857        @rm -f ESIExpressions$(EXEEXT)
858        $(AM_V_CXXLD)$(CXXLINK) $(ESIExpressions_OBJECTS) $(ESIExpressions_LDADD) $(LIBS)
859
860MemPoolTest$(EXEEXT): $(MemPoolTest_OBJECTS) $(MemPoolTest_DEPENDENCIES) $(EXTRA_MemPoolTest_DEPENDENCIES)
861        @rm -f MemPoolTest$(EXEEXT)
862        $(AM_V_CXXLD)$(CXXLINK) $(MemPoolTest_OBJECTS) $(MemPoolTest_LDADD) $(LIBS)
863
864VirtualDeleteOperator$(EXEEXT): $(VirtualDeleteOperator_OBJECTS) $(VirtualDeleteOperator_DEPENDENCIES) $(EXTRA_VirtualDeleteOperator_DEPENDENCIES)
865        @rm -f VirtualDeleteOperator$(EXEEXT)
866        $(AM_V_CXXLD)$(CXXLINK) $(VirtualDeleteOperator_OBJECTS) $(VirtualDeleteOperator_LDADD) $(LIBS)
867
868debug$(EXEEXT): $(debug_OBJECTS) $(debug_DEPENDENCIES) $(EXTRA_debug_DEPENDENCIES)
869        @rm -f debug$(EXEEXT)
870        $(AM_V_CXXLD)$(CXXLINK) $(debug_OBJECTS) $(debug_LDADD) $(LIBS)
871
872mem_hdr_test$(EXEEXT): $(mem_hdr_test_OBJECTS) $(mem_hdr_test_DEPENDENCIES) $(EXTRA_mem_hdr_test_DEPENDENCIES)
873        @rm -f mem_hdr_test$(EXEEXT)
874        $(AM_V_CXXLD)$(CXXLINK) $(mem_hdr_test_OBJECTS) $(mem_hdr_test_LDADD) $(LIBS)
875
876mem_node_test$(EXEEXT): $(mem_node_test_OBJECTS) $(mem_node_test_DEPENDENCIES) $(EXTRA_mem_node_test_DEPENDENCIES)
877        @rm -f mem_node_test$(EXEEXT)
878        $(AM_V_CXXLD)$(CXXLINK) $(mem_node_test_OBJECTS) $(mem_node_test_LDADD) $(LIBS)
879
880membanger$(EXEEXT): $(membanger_OBJECTS) $(membanger_DEPENDENCIES) $(EXTRA_membanger_DEPENDENCIES)
881        @rm -f membanger$(EXEEXT)
882        $(AM_V_CCLD)$(LINK) $(membanger_OBJECTS) $(membanger_LDADD) $(LIBS)
883
884splay$(EXEEXT): $(splay_OBJECTS) $(splay_DEPENDENCIES) $(EXTRA_splay_DEPENDENCIES)
885        @rm -f splay$(EXEEXT)
886        $(AM_V_CXXLD)$(CXXLINK) $(splay_OBJECTS) $(splay_LDADD) $(LIBS)
887
888syntheticoperators$(EXEEXT): $(syntheticoperators_OBJECTS) $(syntheticoperators_DEPENDENCIES) $(EXTRA_syntheticoperators_DEPENDENCIES)
889        @rm -f syntheticoperators$(EXEEXT)
890        $(AM_V_CXXLD)$(CXXLINK) $(syntheticoperators_OBJECTS) $(syntheticoperators_LDADD) $(LIBS)
891
892tcp-banger2$(EXEEXT): $(tcp_banger2_OBJECTS) $(tcp_banger2_DEPENDENCIES) $(EXTRA_tcp_banger2_DEPENDENCIES)
893        @rm -f tcp-banger2$(EXEEXT)
894        $(AM_V_CCLD)$(LINK) $(tcp_banger2_OBJECTS) $(tcp_banger2_LDADD) $(LIBS)
895
896mostlyclean-compile:
897        -rm -f *.$(OBJEXT)
898
899distclean-compile:
900        -rm -f *.tab.c
901
902#include ./$(DEPDIR)/ESIExpressions.Po
903#include ./$(DEPDIR)/MemPoolTest.Po
904#include ./$(DEPDIR)/VirtualDeleteOperator.Po
905#include ./$(DEPDIR)/debug.Po
906#include ./$(DEPDIR)/mem_hdr_test.Po
907#include ./$(DEPDIR)/mem_node_test.Po
908#include ./$(DEPDIR)/membanger.Po
909#include ./$(DEPDIR)/splay.Po
910#include ./$(DEPDIR)/stub_MemBuf.Po
911#include ./$(DEPDIR)/stub_SBuf.Po
912#include ./$(DEPDIR)/stub_cbdata.Po
913#include ./$(DEPDIR)/stub_debug.Po
914#include ./$(DEPDIR)/stub_fatal.Po
915#include ./$(DEPDIR)/stub_tools.Po
916#include ./$(DEPDIR)/syntheticoperators.Po
917#include ./$(DEPDIR)/tcp-banger2.Po
918#include ./$(DEPDIR)/test_tools.Po
919
920.c.o:
921#       $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
922#       $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
923#       $(am__mv) $$depbase.Tpo $$depbase.Po
924#       $(AM_V_CC)source='$<' object='$@' libtool=no
925#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp)
926        $(AM_V_CC)$(COMPILE) -c -o $@ $<
927
928.c.obj:
929#       $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
930#       $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
931#       $(am__mv) $$depbase.Tpo $$depbase.Po
932#       $(AM_V_CC)source='$<' object='$@' libtool=no
933#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp)
934        $(AM_V_CC)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
935
936.c.lo:
937#       $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
938#       $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
939#       $(am__mv) $$depbase.Tpo $$depbase.Plo
940#       $(AM_V_CC)source='$<' object='$@' libtool=yes
941#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp)
942        $(AM_V_CC)$(LTCOMPILE) -c -o $@ $<
943
944.cc.o:
945#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
946#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
947#       $(am__mv) $$depbase.Tpo $$depbase.Po
948#       $(AM_V_CXX)source='$<' object='$@' libtool=no
949#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
950        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
951
952.cc.obj:
953#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
954#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
955#       $(am__mv) $$depbase.Tpo $$depbase.Po
956#       $(AM_V_CXX)source='$<' object='$@' libtool=no
957#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
958        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
959
960.cc.lo:
961#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
962#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
963#       $(am__mv) $$depbase.Tpo $$depbase.Plo
964#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
965#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
966        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
967
968mostlyclean-libtool:
969        -rm -f *.lo
970
971clean-libtool:
972        -rm -rf .libs _libs
973
974ID: $(am__tagged_files)
975        $(am__define_uniq_tagged_files); mkid -fID $$unique
976tags: tags-am
977TAGS: tags
978
979tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
980        set x; \
981        here=`pwd`; \
982        $(am__define_uniq_tagged_files); \
983        shift; \
984        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
985          test -n "$$unique" || unique=$$empty_fix; \
986          if test $$# -gt 0; then \
987            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
988              "$$@" $$unique; \
989          else \
990            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
991              $$unique; \
992          fi; \
993        fi
994ctags: ctags-am
995
996CTAGS: ctags
997ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
998        $(am__define_uniq_tagged_files); \
999        test -z "$(CTAGS_ARGS)$$unique" \
1000          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1001             $$unique
1002
1003GTAGS:
1004        here=`$(am__cd) $(top_builddir) && pwd` \
1005          && $(am__cd) $(top_srcdir) \
1006          && gtags -i $(GTAGS_ARGS) "$$here"
1007cscopelist: cscopelist-am
1008
1009cscopelist-am: $(am__tagged_files)
1010        list='$(am__tagged_files)'; \
1011        case "$(srcdir)" in \
1012          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1013          *) sdir=$(subdir)/$(srcdir) ;; \
1014        esac; \
1015        for i in $$list; do \
1016          if test -f "$$i"; then \
1017            echo "$(subdir)/$$i"; \
1018          else \
1019            echo "$$sdir/$$i"; \
1020          fi; \
1021        done >> $(top_builddir)/cscope.files
1022
1023distclean-tags:
1024        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1025
1026# Recover from deleted '.trs' file; this should ensure that
1027# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1028# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1029# to avoid problems with "make -n".
1030.log.trs:
1031        rm -f $< $@
1032        $(MAKE) $(AM_MAKEFLAGS) $<
1033
1034# Leading 'am--fnord' is there to ensure the list of targets does not
1035# expand to empty, as could happen e.g. with make check TESTS=''.
1036am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1037am--force-recheck:
1038        @:
1039
1040$(TEST_SUITE_LOG): $(TEST_LOGS)
1041        @$(am__set_TESTS_bases); \
1042        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1043        redo_bases=`for i in $$bases; do \
1044                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1045                    done`; \
1046        if test -n "$$redo_bases"; then \
1047          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1048          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1049          if $(am__make_dryrun); then :; else \
1050            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1051          fi; \
1052        fi; \
1053        if test -n "$$am__remaking_logs"; then \
1054          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1055               "recursion detected" >&2; \
1056        elif test -n "$$redo_logs"; then \
1057          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1058        fi; \
1059        if $(am__make_dryrun); then :; else \
1060          st=0;  \
1061          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1062          for i in $$redo_bases; do \
1063            test -f $$i.trs && test -r $$i.trs \
1064              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1065            test -f $$i.log && test -r $$i.log \
1066              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1067          done; \
1068          test $$st -eq 0 || exit 1; \
1069        fi
1070        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1071        ws='[   ]'; \
1072        results=`for b in $$bases; do echo $$b.trs; done`; \
1073        test -n "$$results" || results=/dev/null; \
1074        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1075        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1076        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1077        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1078        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1079        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1080        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1081        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1082          success=true; \
1083        else \
1084          success=false; \
1085        fi; \
1086        br='==================='; br=$$br$$br$$br$$br; \
1087        result_count () \
1088        { \
1089            if test x"$$1" = x"--maybe-color"; then \
1090              maybe_colorize=yes; \
1091            elif test x"$$1" = x"--no-color"; then \
1092              maybe_colorize=no; \
1093            else \
1094              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1095            fi; \
1096            shift; \
1097            desc=$$1 count=$$2; \
1098            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1099              color_start=$$3 color_end=$$std; \
1100            else \
1101              color_start= color_end=; \
1102            fi; \
1103            echo "$${color_start}# $$desc $$count$${color_end}"; \
1104        }; \
1105        create_testsuite_report () \
1106        { \
1107          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1108          result_count $$1 "PASS: " $$pass  "$$grn"; \
1109          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1110          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1111          result_count $$1 "FAIL: " $$fail  "$$red"; \
1112          result_count $$1 "XPASS:" $$xpass "$$red"; \
1113          result_count $$1 "ERROR:" $$error "$$mgn"; \
1114        }; \
1115        {                                                               \
1116          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1117            $(am__rst_title);                                           \
1118          create_testsuite_report --no-color;                           \
1119          echo;                                                         \
1120          echo ".. contents:: :depth: 2";                               \
1121          echo;                                                         \
1122          for b in $$bases; do echo $$b; done                           \
1123            | $(am__create_global_log);                                 \
1124        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1125        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1126        if $$success; then                                              \
1127          col="$$grn";                                                  \
1128         else                                                           \
1129          col="$$red";                                                  \
1130          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1131        fi;                                                             \
1132        echo "$${col}$$br$${std}";                                      \
1133        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1134        echo "$${col}$$br$${std}";                                      \
1135        create_testsuite_report --maybe-color;                          \
1136        echo "$$col$$br$$std";                                          \
1137        if $$success; then :; else                                      \
1138          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1139          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1140            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1141          fi;                                                           \
1142          echo "$$col$$br$$std";                                        \
1143        fi;                                                             \
1144        $$success || exit 1
1145
1146check-TESTS:
1147        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1148        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1149        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1150        @set +e; $(am__set_TESTS_bases); \
1151        log_list=`for i in $$bases; do echo $$i.log; done`; \
1152        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1153        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1154        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1155        exit $$?;
1156recheck: all $(check_PROGRAMS)
1157        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1158        @set +e; $(am__set_TESTS_bases); \
1159        bases=`for i in $$bases; do echo $$i; done \
1160                 | $(am__list_recheck_tests)` || exit 1; \
1161        log_list=`for i in $$bases; do echo $$i.log; done`; \
1162        log_list=`echo $$log_list`; \
1163        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1164                am__force_recheck=am--force-recheck \
1165                TEST_LOGS="$$log_list"; \
1166        exit $$?
1167debug.log: debug$(EXEEXT)
1168        @p='debug$(EXEEXT)'; \
1169        b='debug'; \
1170        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1171        --log-file $$b.log --trs-file $$b.trs \
1172        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1173        "$$tst" $(AM_TESTS_FD_REDIRECT)
1174syntheticoperators.log: syntheticoperators$(EXEEXT)
1175        @p='syntheticoperators$(EXEEXT)'; \
1176        b='syntheticoperators'; \
1177        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1178        --log-file $$b.log --trs-file $$b.trs \
1179        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1180        "$$tst" $(AM_TESTS_FD_REDIRECT)
1181VirtualDeleteOperator.log: VirtualDeleteOperator$(EXEEXT)
1182        @p='VirtualDeleteOperator$(EXEEXT)'; \
1183        b='VirtualDeleteOperator'; \
1184        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1185        --log-file $$b.log --trs-file $$b.trs \
1186        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1187        "$$tst" $(AM_TESTS_FD_REDIRECT)
1188splay.log: splay$(EXEEXT)
1189        @p='splay$(EXEEXT)'; \
1190        b='splay'; \
1191        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1192        --log-file $$b.log --trs-file $$b.trs \
1193        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1194        "$$tst" $(AM_TESTS_FD_REDIRECT)
1195MemPoolTest.log: MemPoolTest$(EXEEXT)
1196        @p='MemPoolTest$(EXEEXT)'; \
1197        b='MemPoolTest'; \
1198        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1199        --log-file $$b.log --trs-file $$b.trs \
1200        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1201        "$$tst" $(AM_TESTS_FD_REDIRECT)
1202mem_node_test.log: mem_node_test$(EXEEXT)
1203        @p='mem_node_test$(EXEEXT)'; \
1204        b='mem_node_test'; \
1205        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1206        --log-file $$b.log --trs-file $$b.trs \
1207        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1208        "$$tst" $(AM_TESTS_FD_REDIRECT)
1209mem_hdr_test.log: mem_hdr_test$(EXEEXT)
1210        @p='mem_hdr_test$(EXEEXT)'; \
1211        b='mem_hdr_test'; \
1212        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1213        --log-file $$b.log --trs-file $$b.trs \
1214        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1215        "$$tst" $(AM_TESTS_FD_REDIRECT)
1216ESIExpressions.log: ESIExpressions$(EXEEXT)
1217        @p='ESIExpressions$(EXEEXT)'; \
1218        b='ESIExpressions'; \
1219        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1220        --log-file $$b.log --trs-file $$b.trs \
1221        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1222        "$$tst" $(AM_TESTS_FD_REDIRECT)
1223squid-conf-tests.log: squid-conf-tests
1224        @p='squid-conf-tests'; \
1225        b='squid-conf-tests'; \
1226        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1227        --log-file $$b.log --trs-file $$b.trs \
1228        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1229        "$$tst" $(AM_TESTS_FD_REDIRECT)
1230.test.log:
1231        @p='$<'; \
1232        $(am__set_b); \
1233        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1234        --log-file $$b.log --trs-file $$b.trs \
1235        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1236        "$$tst" $(AM_TESTS_FD_REDIRECT)
1237#.test$(EXEEXT).log:
1238#       @p='$<'; \
1239#       $(am__set_b); \
1240#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1241#       --log-file $$b.log --trs-file $$b.trs \
1242#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1243#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1244
1245distdir: $(DISTFILES)
1246        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1247        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1248        list='$(DISTFILES)'; \
1249          dist_files=`for file in $$list; do echo $$file; done | \
1250          sed -e "s|^$$srcdirstrip/||;t" \
1251              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1252        case $$dist_files in \
1253          */*) $(MKDIR_P) `echo "$$dist_files" | \
1254                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1255                           sort -u` ;; \
1256        esac; \
1257        for file in $$dist_files; do \
1258          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1259          if test -d $$d/$$file; then \
1260            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1261            if test -d "$(distdir)/$$file"; then \
1262              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1263            fi; \
1264            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1265              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1266              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1267            fi; \
1268            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1269          else \
1270            test -f "$(distdir)/$$file" \
1271            || cp -p $$d/$$file "$(distdir)/$$file" \
1272            || exit 1; \
1273          fi; \
1274        done
1275check-am: all-am
1276        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1277        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1278check: check-am
1279all-am: Makefile
1280installdirs:
1281install: install-am
1282install-exec: install-exec-am
1283install-data: install-data-am
1284uninstall: uninstall-am
1285
1286install-am: all-am
1287        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1288
1289installcheck: installcheck-am
1290install-strip:
1291        if test -z '$(STRIP)'; then \
1292          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1293            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1294              install; \
1295        else \
1296          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1297            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1298            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1299        fi
1300mostlyclean-generic:
1301        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1302        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1303        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1304
1305clean-generic:
1306        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1307
1308distclean-generic:
1309        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1310        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1311
1312maintainer-clean-generic:
1313        @echo "This command is intended for maintainers to use"
1314        @echo "it deletes files that may require special tools to rebuild."
1315clean: clean-am
1316
1317clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1318        mostlyclean-am
1319
1320distclean: distclean-am
1321        -rm -rf ./$(DEPDIR)
1322        -rm -f Makefile
1323distclean-am: clean-am distclean-compile distclean-generic \
1324        distclean-tags
1325
1326dvi: dvi-am
1327
1328dvi-am:
1329
1330html: html-am
1331
1332html-am:
1333
1334info: info-am
1335
1336info-am:
1337
1338install-data-am:
1339
1340install-dvi: install-dvi-am
1341
1342install-dvi-am:
1343
1344install-exec-am:
1345
1346install-html: install-html-am
1347
1348install-html-am:
1349
1350install-info: install-info-am
1351
1352install-info-am:
1353
1354install-man:
1355
1356install-pdf: install-pdf-am
1357
1358install-pdf-am:
1359
1360install-ps: install-ps-am
1361
1362install-ps-am:
1363
1364installcheck-am:
1365
1366maintainer-clean: maintainer-clean-am
1367        -rm -rf ./$(DEPDIR)
1368        -rm -f Makefile
1369maintainer-clean-am: distclean-am maintainer-clean-generic
1370
1371mostlyclean: mostlyclean-am
1372
1373mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1374        mostlyclean-libtool
1375
1376pdf: pdf-am
1377
1378pdf-am:
1379
1380ps: ps-am
1381
1382ps-am:
1383
1384uninstall-am:
1385
1386.MAKE: check-am install-am install-strip
1387
1388.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1389        clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1390        ctags ctags-am distclean distclean-compile distclean-generic \
1391        distclean-libtool distclean-tags distdir dvi dvi-am html \
1392        html-am info info-am install install-am install-data \
1393        install-data-am install-dvi install-dvi-am install-exec \
1394        install-exec-am install-html install-html-am install-info \
1395        install-info-am install-man install-pdf install-pdf-am \
1396        install-ps install-ps-am install-strip installcheck \
1397        installcheck-am installdirs maintainer-clean \
1398        maintainer-clean-generic mostlyclean mostlyclean-compile \
1399        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1400        recheck tags tags-am uninstall uninstall-am
1401
1402.PRECIOUS: Makefile
1403
1404
1405$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1406
1407stub_cbdata.cc: $(top_srcdir)/src/tests/stub_cbdata.cc
1408        cp $(top_srcdir)/src/tests/stub_cbdata.cc .
1409
1410stub_debug.cc: $(top_srcdir)/src/tests/stub_debug.cc
1411        cp $(top_srcdir)/src/tests/stub_debug.cc .
1412
1413stub_MemBuf.cc: $(top_srcdir)/src/tests/stub_MemBuf.cc
1414        cp $(top_srcdir)/src/tests/stub_MemBuf.cc .
1415
1416stub_SBuf.cc: $(top_srcdir)/src/tests/stub_SBuf.cc
1417        cp $(top_srcdir)/src/tests/stub_SBuf.cc .
1418
1419stub_tools.cc: $(top_srcdir)/src/tests/stub_tools.cc
1420        cp $(top_srcdir)/src/tests/stub_tools.cc .
1421
1422stub_fatal.cc: $(top_srcdir)/src/tests/stub_fatal.cc
1423        cp $(top_srcdir)/src/tests/stub_fatal.cc .
1424
1425squid-conf-tests: $(top_builddir)/src/squid.conf.default $(srcdir)/squidconf/*
1426        @failed=0; cfglist="$?"; rm -f $@ || $(TRUE); \
1427        for cfg in $$cfglist ; do \
1428                $(top_builddir)/src/squid -k parse -f $$cfg || \
1429                        { echo "FAIL: squid.conf test: $$cfg" | \
1430                                sed s%$(top_builddir)/src/%% | \
1431                                sed s%$(srcdir)/squidconf/%% ; \
1432                                failed=1; break; \
1433                        }; \
1434                if test "$$failed" -eq 0; then \
1435                        echo "PASS: squid.conf test: $$cfg" | \
1436                                sed s%$(top_builddir)/src/%% | \
1437                                sed s%$(srcdir)/squidconf/%% ; \
1438                else break; fi; \
1439        done; \
1440        if test "$$failed" -eq 0; then cp $(TRUE) $@ ; fi
1441
1442# Tell versions [3.59,3.63) of GNU make to not export all variables.
1443# Otherwise a system limit (for SysV at least) may be exceeded.
1444.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.